# Alan voice assistant SDK for React Native

[Alan Platform](https://alan.app/) • [Alan Studio](https://v1.alan.app/register) • [Docs](https://alan.app/docs) • [FAQ](https://alan.app/docs/usage/additional/faq) •
[Blog](https://alan.app/blog/) • [Twitter](https://twitter.com/alanvoiceai)

[![npm](https://img.shields.io/npm/v/@alan-ai/alan-sdk-react-native.svg)](https://www.npmjs.com/package/@alan-ai/alan-sdk-react-native)
[![CircleCI](https://circleci.com/gh/alan-ai/alan-sdk-reactnative.svg?style=shield)](https://circleci.com/gh/alan-ai/alan-sdk-reactnative)

Quickly add voice to your app. Create an in-app voice assistant to enable human-like conversations and provide a personalized voice experience for every user.

<img src="https://storage.googleapis.com/alan-public-images/github/phone-ads.gif" height="325px" align="right"/>

## Alan is a Voice AI Platform

Alan is a conversational voice AI platform that lets you create an intelligent voice assistant for your app. It offers all necessary tools to design, embed and host your voice solutions:

#### Alan Studio
A powerful web-based IDE where you can write, test and debug dialog scenarios for your voice assistant or chatbot.

#### Alan Client SDKs

Alan's lightweight SDKs to quickly embed a voice assistant to your app.

#### Alan Cloud

Alan's AI-backend powered by the industry’s best Automatic Speech Recognition (ASR), Natural Language Understanding (NLU) and Speech Synthesis. The Alan Cloud provisions and handles the infrastructure required to maintain your voice deployments and perform all the voice processing tasks.

To get more details on how Alan works, see <a href="https://alan.app/platform" target="_blank">Alan Platform</a>.

## Why Alan?

* **No or minimum changes to your UI**: To voice enable your app, you only need to get the Alan Client SDK and drop it to your app.
* **Serverless environment**: No need to plan for, deploy and maintain any infrastructure or speech components - the Alan Platform does the bulk of the work.
* **On-the-fly updates**: All changes to the dialogs become available immediately.
* **Voice flow testing and analytics**: Alan Studio provides advanced tools for testing your dialog flows and getting the analytics data on users' interactions, all in the same console.

## How to start

To create a voice assistant for your React Native app:
1. <a href="https://v1.alan.app/register" target="_blank">Sign up for Alan Studio</a> to build voice scripts in JavaScript and test them.
2. Use the Alan React Native SDK to embed a voice assistant to your application. For details, see <a href="https://alan.app/docs/client-api/cross-platform/react-native" target="_blank">Alan AI documentation</a>.


## Example  apps

In the [Examples](https://github.com/alan-ai/alan-sdk-reactnative/tree/master/examples) folder, you can find example apps integrated with the Alan voice SDK for React Native. Launch the app, tap the Alan button and start giving voice commands. For example, you can ask: "Hello" or "What does this app do?"

## Other platforms

You may also want to try Alan Client SDKs for the following platforms:

* <a href="https://github.com/alan-ai/alan-sdk-web" target="_blank">Web</a>
* <a href="https://github.com/alan-ai/alan-sdk-ios" target="_blank">iOS</a>
* <a href="https://github.com/alan-ai/alan-sdk-android" target="_blank">Android</a>
* <a href="https://github.com/alan-ai/alan-sdk-flutter" target="_blank">Flutter</a>
* <a href="https://github.com/alan-ai/alan-sdk-ionic" target="_blank">Ionic</a>
* <a href="https://github.com/alan-ai/alan-sdk-cordova" target="_blank">Apache Cordova</a>
* <a href="https://github.com/alan-ai/alan-sdk-pcf" target="_blank">PowerApps</a>

## Have questions?

If you have any questions or something is missing in the documentation:
- Join [Alan AI Slack community](https://app.slack.com/client/TL55N530A) for support
- Contact us at [support@alan.app](mailto:support@alan.app)