require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "alan-sdk-react-native"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.description  = <<-DESC
  The Alan Voice AI Platform provides a framework for fast and easy development and deployment voice experiences for your application. 
  Alan voice enables any application, on any platform.
  DESC
  s.homepage     = "https://github.com/alan-ai/alan-sdk-reactnative"
  # brief license entry:
  s.license      = "MIT"
  # optional - use expanded license entry instead:
  # s.license    = { :type => "MIT", :file => "LICENSE" }
  s.authors      = { 'Alan AI, Inc' => 'developer@alan.app' }
  s.platforms    = { :ios => "15.0" }
  s.source       = { :git => "https://github.com/alan-ai/alan-sdk-reactnative.git", :tag => "#{s.version}" }
  s.social_media_url = 'https://twitter.com/alanvoiceai'

  s.frameworks = 'UIKit', 'CoreVideo', 'CoreMedia', 'CoreImage', 'CoreImage', 'CoreAudio', 'AVFoundation', 'AudioToolbox', 'VideoToolbox', 'Accelerate', 'MediaPlayer'
  s.source_files = "ios/**/*.{h,c,m,swift}"
  s.requires_arc = true

  s.dependency "React"
  s.ios.vendored_frameworks = 'ios/AlanSDK.xcframework'
  s.ios.deployment_target = '15.0'
  s.xcconfig = {
    'ENABLE_BITCODE' => 'NO'
  }
end

