package app.alan.reactmodule;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

import javax.annotation.Nonnull;

public class AlanButtonPackage implements ReactPackage {
	
	@Nonnull
	@Override
	public List<NativeModule> createNativeModules(@Nonnull ReactApplicationContext reactContext) {
		List<NativeModule> list = new LinkedList();
		list.add(new AlanManager(reactContext));
		list.add(new AlanEventEmitter(reactContext));
		return list;
	}

	@Nonnull
	@Override
	public List<ViewManager> createViewManagers(@Nonnull ReactApplicationContext reactContext) {
		List<ViewManager> list = new LinkedList();
		list.add(new AlanButtonViewManager(reactContext));
		return list;
	}	
}